addons:
  chrome: stable
language: node_js
git:
  depth: 3
node_js:
  - "6"
  - "8"
install:
  - bundle install --deployment --jobs=3 --retry=3 --clean
  - npm install
before_script:
  - google-chrome-stable --product-version
script:
  - npm test || travis_terminate 1
  - if [[ "$TRAVIS_NODE_VERSION" = "8" ]]; then npm run check-broken-links; fi
  - if [[ "$TRAVIS_NODE_VERSION" = "8" && "$TRAVIS_EVENT_TYPE" = "push" && ! `git log --format=%B --no-merges -n 1 | grep '\[skip browser\]'` ]]; then npm run js-test-cloud; fi
after_success:
  - if [[ "$TRAVIS_NODE_VERSION" = "8" ]]; then npm run coveralls; fi
cache:
  directories:
    - node_modules
    - vendor/bundle
notifications:
  email: false
